Bug 18210 - Файл /usr/lib/python2.5/distutils/command/bdist_altrpm.py кладётся не в %_libdir
: Файл /usr/lib/python2.5/distutils/command/bdist_altrpm.py кладётся не в %_libdir
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpm-build-python)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-12-15 10:28 by
Modified: 2009-02-07 12:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-12-15 10:28:36
$ rpm -qf /usr/lib/python2.5/distutils/command
предупреждение: файл /usr/lib/python2.5/distutils/command не принадлежит ни
одному из пакетов

[lav@builder64 python2.5]$ arch
x86_64
------- Comment #1 From 2008-12-23 19:16:10 -------
Культурными методами сейчас это чинить нереально...
------- Comment #2 From 2008-12-23 19:18:47 -------
Иван, не надо закрывать баги, которые не исправлены.
------- Comment #3 From 2008-12-23 19:21:53 -------
RESOLVED LATER - нормальный статус для незакрытого бага. Главное - раз в
полгода ходить и ping-ать их владельцев.
------- Comment #4 From 2008-12-23 19:23:37 -------
(In reply to comment #3)
> RESOLVED LATER - нормальный статус для незакрытого бага. Главное - раз в полгода
> ходить и ping-ать их владельцев.

Это верно только если у баги есть владелец.
------- Comment #5 From 2008-12-24 04:57:00 -------
Я правильно понимаю, что если никто чинить не будет,
мне остаётся добавить в спек этого пакета subst
на замену компоненты пути на %_libdir ?
------- Comment #6 From 2008-12-24 10:24:58 -------
это не поможет - пакет noarch...
------- Comment #7 From 2008-12-24 10:33:22 -------
Значит он перестанет быть таковым.
------- Comment #8 From 2009-01-23 14:25:46 -------
Ну и кто это сделал?

Wrote: /usr/src/RPM/SRPMS/rpm-build-python-0.33-alt1.1.src.rpm
Wrote: /usr/src/RPM/RPMS/noarch/rpm-build-python-0.33-alt1.1.noarch.rpm
Wrote: /usr/src/RPM/RPMS/noarch/rpm-build-python-tools-0.33-alt1.1.noarch.rpm
0.78user 1.57system 0:05.84elapsed 40%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+362657minor)pagefaults 0swaps
/.out/rpm-build-python-0.33-alt1.1.noarch.rpm: invalid noarch file paths:
/usr/lib64/python2.5/distutils/command/bdist_altrpm.py
sisyphus_check: check-noarch ERROR: noarch packaging violation
hsh-rebuild: rpm-build-python-0.33-alt1.1.src.rpm: sisyphus_check failed.
------- Comment #9 From 2009-01-24 00:12:08 -------
Надо либо собирать без noarch, либо класть в архитектурно-независимое место, но
потом там и искать.
------- Comment #10 From 2009-02-06 15:12:58 -------
(В ответ на комментарий №9)
> Надо либо собирать без noarch, либо класть в архитектурно-независимое место, но
> потом там и искать.

А кто ищет, кроме самого rpm-build-python? В смысле, сколько пакетов придётся
править в этом случае? Что там за граюли были? Помнится, я собственноручно
"сделал это" -- переложил bdist_altrpm.py сначала в %_target_libdir, а затем
обратно в %_libdir -- но зачем -- дыра-голова, не помню!
------- Comment #11 From 2009-02-06 18:13:00 -------
(In reply to comment #8)
> /.out/rpm-build-python-0.33-alt1.1.noarch.rpm: invalid noarch file paths:
> /usr/lib64/python2.5/distutils/command/bdist_altrpm.py
> sisyphus_check: check-noarch ERROR: noarch packaging violation
> hsh-rebuild: rpm-build-python-0.33-alt1.1.src.rpm: sisyphus_check failed.

Fixed in 0.33-alt2 by removing bdist_altrpm.py
------- Comment #12 From 2009-02-07 12:13:12 -------
(В ответ на комментарий №11)
> Fixed in 0.33-alt2 by removing bdist_altrpm.py
Ой, спасибо.